apply plugin: 'com.android.library'
//apply plugin: 'com.novoda.bintray-release'
apply plugin: 'maven'
def version = '1.1.0'
android {
    compileSdkVersion 27
    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 27
        versionCode 8
        versionName version
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    //sourceSets { main { assets.srcDirs = ['src/main/assets', 'src/main/assets/'] } }
}

uploadArchives {
    repositories{
        mavenDeployer {
            //url 'https://repo.rdc.aliyun.com/repository/84103-release-wrxD8V/'
            repository(url:"https://repo.rdc.aliyun.com/repository/84521-release-D7jNC2/") {
                authentication(userName:"icYZUR", password:"Xgk5Pc7PcV")
            }
            // 以com.android.support:appcompat-v7:25.1.0为对比
            pom.version="1.0.0" // 对应版本号 25.1.0
            pom.artifactId="wheelpicker" // 对应 appcompat-v7
            pom.groupId="com.airsmart.lib" // com.android.support
        }
    }
}

/*publish {
    userOrg = 'aigestudio'
    groupId = 'cn.aigestudio.wheelpicker'
    artifactId = "WheelPicker"
    publishVersion = "${version}"
    desc = 'Simple and fantastic wheel view in realistic effect for android.'
    website = 'https://github.com/AigeStudio/WheelPicker'
}*/
dependencies {
    //implementation 'com.google.code.gson:gson:2.8.2'
}